Автор Тема: Библиотеки steam  (Прочитано 5605 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн bejanchik

  • Новичок форума
  • Сообщений: 3
Библиотеки steam
« : 08 Мая 2017, 03:56:31 »
Добрый день, вкратце проблема такова: не могу установить steam. Пробовал установить через apt-get, aptitude, synaptic и оффициальный сайт, но все-те же ошибки. На линуксе недавно, по-этому не понимаю пока-что некоторые вещи. Debian Jessie установил недавно, проблем таковых нету. Заранее спасибо за помощь.

bejanchik@debian:~$ sudo apt-get install steam
[sudo] password for bejanchik:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 steam:i386 : Depends: libgl1-mesa-dri:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
bejanchik@debian:~$ sudo apt-get install libgl1-mesa-dri:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libgl1-mesa-dri:i386 : Depends: libllvm3.5:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
bejanchik@debian:~$ sudo apt-get install libllvm3.5:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libllvm3.5:i386 : Depends: libedit2:i386 (>= 2.11-20080614) but it is not going to be installed
                   Depends: libtinfo5:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
 


Оффлайн bejanchik

  • Новичок форума
  • Сообщений: 3
Re: Библиотеки steam
« Ответ #2 : 08 Мая 2017, 12:04:42 »
да, все что там сказано сделал, но все те-же ошибки. Видеокарта кстати встроенная Intel i945, драйвера тоже ставил через вики.
 

Оффлайн alsoijw

Re: Библиотеки steam
« Ответ #3 : 08 Мая 2017, 12:44:27 »
Что с sources.list?
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Оффлайн bejanchik

  • Новичок форума
  • Сообщений: 3
Re: Библиотеки steam
« Ответ #4 : 12 Мая 2017, 00:08:12 »
все по стандарту, добавил конечно contrib non-free
deb http://ftp.tr.debian.org/debian/ jessie main contrib non-free
deb-src http://ftp.tr.debian.org/debian/ jessie main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp.tr.debian.org/debian/ jessie-updates main
deb-src http://ftp.tr.debian.org/debian/ jessie-updates main
 

Оффлайн skvili

  • Пользователь
  • *
  • Сообщений: 12
Re: Библиотеки steam
« Ответ #5 : 12 Июня 2017, 22:59:32 »
Не знаю, поможет или нет. У меня тоже проблема была со стимом. Требовал библиотеку libGL.so.1, а при попытке установить libgl1-nvidia-glx:i386 ругался на зависимости. Потом я вспомнил, что ставил видеодрайвер из backports.  Установил нужную библиотеку также из backports sudo apt-get install -t jessie-backports libgl1-nvidia-glx:i386 и всё заработало. Я никогда не ставил интеловский драйвер, может там тоже есть какие-то разные варианты установки...
 

Оффлайн freesoid

Re: Библиотеки steam
« Ответ #6 : 30 Июня 2017, 20:23:11 »
Мне помогла переустановка дров на видюху...
 

Оффлайн n0m4d

Re: Библиотеки steam
« Ответ #7 : 11 Декабря 2017, 23:52:52 »
Steam использует i386 библиотеки, как правило
доустановка их к дровам NV, решает данную проблему.
Я так делаю и всё работает.

sudo apt install nvidia-driver-libs-i386
Telegram - конференция: https://t.me/DebianForumRu
 

Оффлайн trey

Re: Библиотеки steam
« Ответ #8 : 20 Мая 2018, 20:22:58 »
а у меня установка стима запросила эту - libc.so.6 , в синаптике её нет. Где её найти мона  :P
 

Оффлайн Ogis1975

Re: Библиотеки steam
« Ответ #9 : 21 Мая 2018, 16:24:32 »
а у меня установка стима запросила эту - libc.so.6 , в синаптике её нет. Где её найти мона
Смотрите тут.
 

Оффлайн trey

Re: Библиотеки steam
« Ответ #10 : 21 Мая 2018, 20:14:23 »
Спасибо ! тока бы еще знать как установить, я с убунты слез  ???
 


Оффлайн trey

Re: Библиотеки steam
« Ответ #12 : 22 Мая 2018, 11:55:54 »
до этого не ставилось так, сейчас установилась  :), только толку ноль, всеровно выкидывает сообщение You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6
 

Оффлайн ogost

Re: Библиотеки steam
« Ответ #13 : 22 Мая 2018, 12:12:51 »
Если почитаете внимательно, то заметите, что речь идёт о 32-х битной версии этого пакета.
https://wiki.debian.org/ru/Multiarch/HOWTO

Оффлайн trey

Re: Библиотеки steam
« Ответ #14 : 22 Мая 2018, 16:15:17 »
установка заработала а потом выдала новую ошибку - Fatal Error: Failed to load steamui.so .  шо делать, пока не пойму  ???
 

Теги:
     

    Что нужно чтоб, работал Minecraft? Какие библиотеки требует игра?

    Автор CPU-550

    Ответов: 7
    Просмотров: 3245
    Последний ответ 09 Ноября 2015, 04:04:22
    от starlayt
    Сторонние библиотеки игр.

    Автор serke7771

    Ответов: 3
    Просмотров: 1762
    Последний ответ 14 Мая 2017, 22:16:49
    от ДядяМиша